H=tf([1 11 36 26],[1 14.6 74.96 153.7 99.65]);

A=[0 1 0 0;0 0 1 0;0 0 0 1;-99.65 -153.7 -74.96 -14.6];
B=[0 0 0 1]';
C=[26 36 11 1];
D=0;

model=ss(A,B,C,D);

% Conferma:
H
tf(model)

% Gramiani:
Wc=gram(model,'c');
Wo=gram(model,'o');

[modelb,G,Ti,T]=balreal(model);

elim=[3 4];
modelr = modred(modelb,elim,'del');

Hr=tf(modelr)

modelm = modred(model,elim,'mdc');
Hm=tf(modelm)

close all
figure(1)
bode(H,Hr,Hm)
figure(2)
step(H,Hr,Hm)


dcgain(H),dcgain(Hr),dcgain(Hm)


K=-lqry(model,1,.1);

Kr=-lqry(modelr,1,.1);
Mr=Ti(1:2,:);   % xr=Mr*x

Km=-lqry(modelm,1,.1);
I=eye(4);
Mm=I(1:2,:);   % xm=Mm*x

clsys=ss(A+B*K,B,C,D);
clsys.b=clsys.b/dcgain(clsys);

clsysr=ss(A+B*Kr*Mr,B,C,D);
clsysr.b=clsysr.b/dcgain(clsysr);

clsysm=ss(A+B*Km*Mm,B,C,D);
clsysm.b=clsysm.b/dcgain(clsysm);

figure(3)
step(clsys,clsysr,clsysm);

